%define	name	bos
%define	version 1.1
%define rel	3
%define	release	%mkrel %rel

Name:		%{name} 
Summary:	A real time strategy game
Version:	%{version} 
Release:	%{release} 
Source0:	%{name}-%{version}.tar.bz2
# It doesn't provide it's own icon yet
# Found this on their patch tracker
Source2:	%{name}_icon_48.png
URL:		http://bos.seul.org/
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
Requires:	stratagus
BuildArch:	noarch
BuildRequires:	ImageMagick

%description
Invasion - Battle of Survival is a real-time strategy game using
the Stratagus game engine. 

%prep
%setup -q
find -name .xvpics | xargs rm -rf

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_gamesdatadir}/bos/
cp -r ./data/* $RPM_BUILD_ROOT/%{_gamesdatadir}/bos/
cat << EOF > ./bos.sh
#!/bin/sh
stratagus \$@ -d %{_gamesdatadir}/bos/
EOF
install -m755 ./bos.sh -D $RPM_BUILD_ROOT/%{_gamesbindir}/bos

# Create and install icons
convert %{SOURCE2} -resize 32x32 bos-32.png
convert %{SOURCE2} -resize 16x16 bos-16.png
install -m644 bos-16.png -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 bos-32.png -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE2}   -D %{buildroot}%{_liconsdir}/%{name}.png

# Create a menu item
mkdir -p %{buildroot}%{_menudir}
cat << EOF > %{buildroot}%{_menudir}/%{name}
?package(%name):command="%{_gamesbindir}/bos"\
 icon="%{name}.png" needs="X11" section="More Applications/Games/Strategy"\
 title="Invasion: Battle of survival" longtitle="Invasion: Battle of survival - a real time strategy game"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%update_menus

%files 
%defattr(-,root,root)
%doc README.txt
%dir %{_gamesdatadir}/bos/
%{_gamesdatadir}/bos/*
%{_gamesbindir}/bos
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu Aug 18 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.1-3mdk
- fix buildrequires
- fix hidden-file-or-dir

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandrake.org> 1.1-2mdk
- Provide it's own icon
- Launchscript accepts commandline parameters

* Fri Jul 08 2005 Eskild Hustvedt <eskild@mandrake.org> 1.1-1mdk
- Initial Mandriva Linux package
